import jfftw.*;

/**     Simple test program to form sine grating
 */
public class OneDimension extends Object {
    public static void main(String args[]) {

	double freq = 0.1;
	ComplexDataArray a = new ComplexDataArray(512);

	for(int i = 0; i < a.getWidth(); i++) {
	    double phase = 2.0*Math.PI*freq*i;
	    a.setComplex(i,1.0 + Math.sin(phase),0.0);
	}


	ComplexDataArray b = a.clone();

	a.fourier();

	a.fourier();

	for(int i = 0; i < a.getWidth(); i++) {
	    double diff = a.getComplex(i).getReal() - b.getComplex(i).getReal();
	    System.out.println("Difference is : " + diff);
	}


    }
}